##### 7.5.3.0. PBW_eqDeg

Procedure from library `central.lib` (see central_lib).

Usage:
  PBW_eqDeg(Deg); Deg int

Purpose:
  Compute PBW elements of a given degree.

Return:
  ideal consisting of found elements.

Note:
  Unit is omitted. Weights are ignored!

Example:

    LIB "central.lib";
    ring AA = 0,(e,f,h),dp;
    matrix D[3][3]=0;
    D[1,2]=-h;  D[1,3]=2*e;  D[2,3]=-2*f;
    def A = nc_algebra(1,D); setring A; // this algebra is U(sl_2)
    // PBW Basis of A_2 \ A_1 - monomials of degree == 2:
    PBW_eqDeg( 2 );
    ==> _[1]=h2
    ==> _[2]=fh
    ==> _[3]=f2
    ==> _[4]=eh
    ==> _[5]=ef
    ==> _[6]=e2

User manual for Singular version 4.4.1, 2025, generated by texi2html.